Bug 1985251 - Incorrect permission for gpg directory
Summary: Incorrect permission for gpg directory
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: hplip
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Zdenek Dohnal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-07-23 08:54 UTC by Zdenek Dohnal
Modified: 2021-08-08 01:08 UTC (History)
8 users (show)

Fixed In Version: hplip-3.21.2-10.fc34 hplip-3.21.2-10.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1984977
Environment:
Last Closed: 2021-08-08 01:03:44 UTC
Type: Bug


Attachments (Terms of Use)

Description Zdenek Dohnal 2021-07-23 08:54:24 UTC
+++ This bug was initially created as a clone of Bug #1984977 +++

Description of problem: 1. current version of utility has hplip-keyserver.patch that unnecessary nowadays. Upstream project has https://launchpadlibrarian.net/473402275/hplip-keyserver.patch for this issue.
2. Utility makes own gpg dir with wrong permissions.


Version-Release number of selected component (if applicable): 3.18.4-9


How reproducible: always


Steps to Reproduce:
1. dnf install hplip
2. exec 'hp-plugin -i'
3. choose default options

Actual results:
You will see 'error: Unable to recieve key from keyserver'

Expected results: print DONE


Additional info:

--- Additional comment from Zdenek Dohnal on 2021-07-23 05:30:19 UTC ---

Hi Sergey,

Thank you for taking the time to report this issue to us. I appreciate the feedback and use reports such as this one to guide our efforts at improving our products. That being said, this bug tracking system is not a mechanism for requesting support, and I am not able to guarantee the timeliness or suitability of a resolution.

If this issue is critical or in any way time sensitive, please raise a ticket through the regular Red Hat support channels to ensure it receives the proper attention and prioritization to assure a timely resolution.

For information on how to contact the Red Hat production support team, please visit:
    https://access.redhat.com/support

Ad issues:

1. HP upstream doesn't have a patch for the issue... the patch you pointed out I wrote for Fedora sometime ago, when I found out the current solution isn't robust enough :( . The current solution works sometimes (but not today it seems :D ) and downloading keys doesn't block user from downloading plugin and making your device work (if it really needs plugin), so IMO it is not urgent.
2. thanks for the patch for the second issue! I'll apply it in Fedora for now, I'll see if I can fix it in RHEL/CentOS Stream.

--- Additional comment from Zdenek Dohnal on 2021-07-23 06:56:20 UTC ---

I can reproduce with 'hp-plugin -i':

# hp-plugin -i
...
error: Unable to recieve key from keyserver
Do you still want to install the plug-in? (y=yes, n=no*, q=quit) ? y
...

# ls -lah ~/.hplip
total 0
drwxr-xr-x. 3 root root  20 Jul 23 01:29 .
dr-xr-x---. 6 root root 280 Jul 23 01:27 ..
drwxr-xr-x. 3 root root  39 Jul 23 01:29 .gnupg
-----------

The correct perms must be 700.

Comment 1 Zdenek Dohnal 2021-07-29 12:06:19 UTC
Reported upstream https://bugs.launchpad.net/hplip/+bug/1938442

Comment 2 Fedora Update System 2021-07-30 08:08:52 UTC
FEDORA-2021-b3a804a93f has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-b3a804a93f

Comment 3 Fedora Update System 2021-07-30 08:40:25 UTC
FEDORA-2021-00e7a22e2c has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-00e7a22e2c

Comment 4 Fedora Update System 2021-08-08 01:03:44 UTC
FEDORA-2021-b3a804a93f has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 5 Fedora Update System 2021-08-08 01:08:04 UTC
FEDORA-2021-00e7a22e2c has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.